echo OFF
rem EXTRACT.BAT --- Jul 13, 1988
rem COPYRIGHT 1988 by ABACUS Computer Service, Mine Hill, NJ 07801
rem Author: Don Jackowski for ABACUS
rem
if %1! == ! goto menu
if %1! == -c! goto check
if %1! == -t! goto test
if %1! == -a! goto all
if %1! == -d! goto all
if %1! == -x! goto all
if %1! == -s! goto show
if %1! == -p! goto print
if %1! == -l! goto list
goto menu
:check
	echo 	The CRC values computed here should match the CRC values
	echo 	in the PC-UTIL.CRC file.  If you get a different CRC value
	echo 	it means that file has been corrupted, and may not be
	echo 	functional.	
	echo -------------------------------------------------------------------
	crc *.*
	goto end
:test
	pkxarc -t *.arc
	goto end
:all
	echo Target Drive for the EXTRACTED files menu:
	echo 		A = A:
	echo 		B = B:
	echo 		C = C:
	echo 		D = D:
	echo 		E = E:
	echo --------------------------
	echo Select (A B C D or E):
	keypress a b c d e
	if errorlevel 5 goto drve
	if errorlevel 4 goto drvd
	if errorlevel 3 goto drvc
	if errorlevel 2 goto drvb
	if errorlevel 1 goto drva
	echo Invalid selection -- try again!
	goto all
		:drva
			set drv=A:
			goto okdoit
		:drvb
			set drv=B:
			goto okdoit
		:drvc
			set drv=C:
			goto okdoit
		:drvd
			set drv=D:
			goto okdoit
		:drve
			set drv=E:
	:okdoit
	echo Output files to Drive %drv%
	if %1! == -d! goto doc
	if %1! == -x! goto one
	pkxarc -x *.arc %DRV% 
	goto end
:doc
	pkxarc -x *.arc %DRV% *.doc
	goto end
:one
	echo ARC menu:
	echo 	1 = BATCH			6 = LPR
	echo 	2 = BRACE			7 = MLABEL
	echo 	3 = EDMAC			8 = SEE
	echo 	4 = FINDEX
	echo 	5 = HARD
	echo ---------------------------------------------------------------
	echo Which ARC do you want extracted to drive %DRV%
	keypress 1 2 3 4 5 6 7 8
	if errorlevel 8 goto n8
	if errorlevel 7 goto n7
	if errorlevel 6 goto n6
	if errorlevel 5 goto n5
	if errorlevel 4 goto n4
	if errorlevel 3 goto n3
	if errorlevel 2 goto n2
	if errorlevel 1 goto n1
	echo BAD selection -- try again!
	goto one
		:n1
			set arc=BATCH*.arc
			goto xit
		:n2
			set arc=BRACE*.arc
			goto xit
		:n3
			set arc=EDMAC*.arc
			goto xit
		:n4
			set arc=FINDEX*.arc
			goto xit
		:n5
			set arc=HARD*.arc
			goto xit
		:n6
			set arc=LPR*.arc
			goto xit
		:n7
			set arc=MLABEL*.arc
			goto xit
		:n8
			set arc=SEE*.arc
			goto xit
	:xit
	pkxarc -x %arc% %DRV% *.*
	echo ANOTHER (Y/N) ?
	keypress N Y
	if errorlevel == 2 goto one
	goto end
:show
	pkxarc -c *.arc *.doc
	goto end
:print
	copy REGISTER.TXT lpt1
	pkxarc -p *.arc *.doc
	goto end
:list
	pkxarc -v *.arc
	goto end
:menu
	echo "Usage: EXTRACT -c|-t|-x|-a|-d|-s|-p|-l"
	echo 	Where:
	echo 		-c = Compute the CRC values of .ARC files.
	echo 		-t = Test archive integrity.
	echo 		-x = Extract from a selected ARC.
	echo 		-a = Extract ALL files.
	echo 		-d = Extract DOCumentation files only.
	echo 		-s = Show contents of .DOC files.
	echo 		-p = Print All the .DOC files.
	echo 		-l = List the file names from .ARC files.
:end
